require_relative "server_operation_error"

module Devops
  module Exception
    class DeployInfoError < ServerOperationError

      def error_code
        Devops::Executor::ServerOperationResult.code_of_reason(:deploy_info_failed)
      end

      def operation_type
        Devops::Model::Server::OperationType::DEPLOY_INFO
      end

      def error_message msg
        "Failed while generating deploy info for server\nGenerating deploy info operation result was: #{msg}"
      end

    end
  end
end
